## org.ascape.model.space
Interface Mutable

All Known Subinterfaces:
  Continuous, CoordinateMutable

All Known Implementing Classes:
  Continuous1D, Continuous2D, ListSpace, SubContinuous, SubContinuous1D, SubContinuous2D, SubListSpace

    public interface Mutable

A one-dimensional, fixed-size, collection of agents providing services described for space.

Since:
  1.5
Version:
  2.0
Author:
  Miles Parker

Method Summary
`void` `clear()` Removes all agents from the space.
`void` `deleteSweep()` Walks through each agent, deleting it if it has been marked for deletion.
`boolean` `isDeleteSweepNeeded()` Is a delete sweep needed for this space?.
`Location` `newLocation()` Creates a new agent in the space by cloning the prototype agent, adding it to an arbitrary place (usually the 'end'), and initializing it.
`Location` `newLocation(boolean randomLocation)` Creates a new agent in this list by cloning the prototype agent, adding it to a random or arbitrary (usually the 'end') place in the list, and initializing it.
`boolean` `remove(java.lang.Object o)` Removes the supplied object (agent) from this list.

Method Detail

### isDeleteSweepNeeded

    boolean isDeleteSweepNeeded()

  Is a delete sweep needed for this space?.

  Returns:
    true, if is delete sweep needed

### deleteSweep

    void deleteSweep()

  Walks through each agent, deleting it if it has been marked for deletion.

### remove

    boolean remove(java.lang.Object o)

  Removes the supplied object (agent) from this list. The agent is an object for consistency with the java collections api.

  Parameters:
    `o` - the agent to be removed
  Returns:
    true if the agent was deleted, false otherwise

### newLocation

    Location newLocation()

  Creates a new agent in the space by cloning the prototype agent, adding it to an arbitrary place (usually the 'end'), and initializing it.

  Returns:
    the location

### newLocation

    Location newLocation(boolean randomLocation)

  Creates a new agent in this list by cloning the prototype agent, adding it to a random or arbitrary (usually the 'end') place in the list, and initializing it.

  Parameters:
    `randomLocation` - should the agent be placed in a random location, or in an arbitrary location?
  Returns:
    the location

### clear

    void clear()

  Removes all agents from the space.